# cam_ilt

The cam_ilt package bundles a subset of my PhD work at the university of Cambridge. It mostly concerns the inverse problems commonly enquired in the case of magnetic resonance (MR) correlation or exchange experiments. However, the package also includes an option for custom kernels, hence the package could also be used for non-MR related inverse problems. 

In its current form, it covers different regularization methods including L1, L2 and MTGV to tackle the inverse problems of interest. The package also comes with fully automated methods for regularization/hyperparameter parameter optimization employing generalized cross-validation (GCV), the Butler-Reeds-Dawson method (BRD), the balancing principle or a combination of them. 

For a more detailed documentation/package tutorial, check out the cam_ilt git repo at https://github.com/jbbb2/cam_ilt

If you make use of the package please cite the following references: 
https://doi.org/10.48550/arXiv.2311.11442
https://doi.org/10.17863/CAM.104179

If you have questions, ideas to expand/improve the package or you want to report a bug, please reach out to me via jbbb2@cantab.ac.uk
